## GwyGraphCurveDialog

GwyGraphCurveDialog — Modify properties of graph curves

## Functions

GtkWidget * | gwy_graph_curve_dialog_new ()
GtkWidget * | gwy_graph_curve_dialog_new_with_model ()
GwyGraphCurveModel * | gwy_graph_curve_dialog_get_model ()
void | gwy_graph_curve_dialog_set_model ()
void | gwy_graph_curve_dialog_set_switching ()

## Signals

void | next | Run First
void | previous | Run First

## Types and Values

struct | GwyGraphCurveDialog
struct | GwyGraphCurveDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GwyGraphCurveDialog

## Implemented Interfaces

GwyGraphCurveDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyui/gwyui.h>

## Description

## Functions

### gwy_graph_curve_dialog_new()

    GtkWidget *
    gwy_graph_curve_dialog_new (void);

Creates a new dialog for modifying properties of graph curves.

The dialog is useless without a curve model. Use `gwy_graph_curve_dialog_set_model()` to set it, or create the dialog directly with a model using `gwy_graph_curve_dialog_new_with_model()`.

[constructor]

#### Returns

A newly created dialog.

[transfer full]

### gwy_graph_curve_dialog_new_with_model()

    GtkWidget *
    gwy_graph_curve_dialog_new_with_model (GwyGraphCurveModel *cmodel);

Creates a new dialog for modifying properties of graph curves using a graph curve model.

[constructor]

#### Parameters

cmodel | Graph curve model. |

#### Returns

A newly created dialog.

[transfer full]

### gwy_graph_curve_dialog_get_model()

    GwyGraphCurveModel *
    gwy_graph_curve_dialog_get_model (GwyGraphCurveDialog *dialog);

Gets the curve model of a graph curve property dialog.

#### Parameters

dialog | A graph curve property dialog. |

#### Returns

The curve model.

### gwy_graph_curve_dialog_set_model()

    void
    gwy_graph_curve_dialog_set_model (GwyGraphCurveDialog *dialog,
                                      GwyGraphCurveModel *cmodel);

Switches a graph curve property dialog to a new curve model.

#### Parameters

dialog | A graph curve property dialog. |
cmodel | Graph curve model to switch to. |

### gwy_graph_curve_dialog_set_switching()

    void
    gwy_graph_curve_dialog_set_switching (GwyGraphCurveDialog *dialog,
                                          gboolean prev_possible,
                                          gboolean next_possible);

Controls whether switching to previous and next curve is allowed in a graph curve properties dialog.

#### Parameters

dialog | A graph curve property dialog. |
prev_possible | `TRUE` if there is a previous curve and switching to the previous curve should be allowed. |
next_possible | `TRUE` if there is a next curve and switching to the next curve should be allowed. |

## Types and Values

### struct GwyGraphCurveDialog

    struct GwyGraphCurveDialog;

### struct GwyGraphCurveDialogClass

    struct GwyGraphCurveDialogClass {
        GtkDialogClass parent_class;

        void (*next)(GwyGraphCurveDialog *dialog);
        void (*previous)(GwyGraphCurveDialog *dialog);

        void (*reserved1)(void);
        void (*reserved2)(void);
        void (*reserved3)(void);
        void (*reserved4)(void);
    };

## Signal Details

### The `“next”` signal

    void
    user_function (GwyGraphCurveDialog *gwygraphareadialog,
                   gpointer             user_data)

The ::next signal is emitted when the Next button is clicked and the next curve should be edited. The dialog itself does not switch curves because it only knows about the curve currently being edited.

#### Parameters

gwygraphareadialog | The GwyGraphCurveDialog which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“previous”` signal

    void
    user_function (GwyGraphCurveDialog *gwygraphareadialog,
                   gpointer             user_data)

The ::previous signal is emitted when the Prev button is clicked and the previous curve should be edited. The dialog itself does not switch curves because it only knows about the curve currently being edited.

#### Parameters

gwygraphareadialog | The GwyGraphCurveDialog which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First